Показано с 1 по 2 из 2

Тема: Планировщик Заданий (CRON) + ionCube + php-cgi = не работает, ISPManager 5 Lite

  1. #1

    Talking Планировщик Заданий (CRON) + ionCube + php-cgi = не работает, ISPManager 5 Lite

    Здравствуйте дорогие друзья, суть проблемы:

    PHP интерпретатор запущен как альтернативная версия php 5.6 через CGI/FastCGI.
    Скрипт php зашифрован и работает только через ionCube, он собственно включен для этой версии php по умолчанию.
    Путь до интерпретатора php в Планировщике Заданий - /opt/php56/bin/php-cgi - указан верно.

    При включении заданий на запуск файлов, в скрипте проблем нет, команды сформулированы правильно => не происходит запуска, вывод (это время последнего запуска) не отображается в php скрипте, следовательно он не выполняется.

    Попытка запуска с помощью CRON в cli даёт вывод:

    Код:
    PHP Fatal error: 
    The file /var/www/user/data/www/site.ru/billing/queue.php was encoded 
    with the PHP 5.6 ionCube Encoder and requires PHP 5.6 to be installed. 
    in Unknown on line 0
    То есть интерпретатор php через cli не видит ionCube, было предположение, что ionCube работает только с нативной версией php через Апач, но данный пост (http://forum.ispsystem.ru/showthread.php?27181), говорит об обратном. Подскажите пожалуйста в какую сторону рыть и в чём может быть проблема?

    Спасибо большое
    Последний раз редактировалось rednager; 21.02.2018 в 02:00. Причина: Добавлена запятая в title

  2. #2

    По умолчанию

    Версия Cube соотвествует версии php?
    Как подключили Cube?
    Сделайте вывод файлов с папки подключенных модов для php.

Метки этой темы

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •